portupgrade

dan

Verified User
Joined
Jan 2, 2007
Messages
99
Location
North Wales, UK
is it safe to run portupgrade -a on a bsd 6.x system? in other words, the software such as exim, vm_pop3d, apache, and all that would be upgraded to the latest versions, including php. is this safe, or will it break DA?
another thing, i've had a few requests for php5 support. how might i go about providing this to my customers? do i install php5 as well as php4, and offer the .php5 file extension?
what would you guys do?

thanks,
dan
 

pucky

Verified User
Joined
Sep 9, 2006
Messages
795
Yes, but i wouldnt run portupgrade -a but rather portupgrade -ai.

You do not want to upgrade exim, proftpd, vmpop and the defaults installed by DA as add_pkg's. But you can upgrade the rest. Keep in mind, that some apps such as Freetype can be upgraded too and the port system will upgrade those to the latest version based on whats in the port system but if you run ./build for DA it will downgrade your version. What i do is upgrade all the apps using portupgrade -ai then if i rebuild the system using DA's script i dont recompile the apps I'v upgraded already from the port system otherwise you will find that most of the time build update will install difference versions of those applications.

Something really should be done about this. A separate build script for Freebsd boxes that utilize the port system not downloading old outdated version of Curl, GD etc etc.
 

dan

Verified User
Joined
Jan 2, 2007
Messages
99
Location
North Wales, UK
so if i run portupgrade -ai, then once it's all done, go to DA's install dir (wherever that may be - I didn't install it, hosting co did), and run the build script, should make everything work again?
Has anyone tried to use DA with the newer versions come through portupgrade? Or does this cause too many problems?
What about php? php4's deprecated now, and support life is ending, so it'd be better to upgrade to php5. Will this affect apache's operation at all? If .php is registered as php4 filetypes, and then php4 is removed and php5 installed, surely that'll register .php files itself. Or is there more to it than that?
Thanks,
 

Chrysalis

Verified User
Joined
Aug 25, 2004
Messages
1,584
Location
uk
portupgrade shouldnt break customapache or custombuild.

1 - it will skip the proftpd, vmpop3d and exim packages.
2 - mysql, dovecot, apache are all installed from source so not even checked by portupgrade.

Personally I always uninstall DAs proftpd/mysql and install them both in ports for easier maintenance but this isnt needed.
 

lissyara

Verified User
Joined
Oct 20, 2007
Messages
12
yesterday, I manually delete all installed DA software (may be not all, but overwhelming majority), and install from ports.
need 20-30 symlinks for static compiled in DA paths, and other - change from configs.
Code:
portupgrade -Rf \*
works correct
may be I write step-to-step hawto...
Code:
serv# pkg_version -v
GeoIP-1.4.2                         =   up-to-date with port
apache-2.0.61_2                     =   up-to-date with port
arc-5.21o_1                         =   up-to-date with port
arj-3.10.22_1                       =   up-to-date with port
aspell-0.60.5_2                     =   up-to-date with port
autoconf-2.61_2                     =   up-to-date with port
automake-1.9.6_2                    =   up-to-date with port
bigreqsproto-1.0.2                  =   up-to-date with port
bison-2.3_3,1                       =   up-to-date with port
cclient-2006j_1,1                   =   up-to-date with port
clamav-0.91.2                       =   up-to-date with port
colorize-0.3.4                      =   up-to-date with port
cyrus-sasl-2.1.22                   =   up-to-date with port
db41-4.1.25_4                       =   up-to-date with port
dovecot-1.0.5                       =   up-to-date with port
eaccelerator-0.9.5.2                =   up-to-date with port
exim-4.68                           =   up-to-date with port
expat-2.0.0_1                       =   up-to-date with port
freetype2-2.2.1_2                   =   up-to-date with port
gd-2.0.35,1                         =   up-to-date with port
gettext-0.16.1_3                    =   up-to-date with port
gmake-3.81_2                        =   up-to-date with port
help2man-1.36.4_1                   =   up-to-date with port
icu-3.6                             =   up-to-date with port
inputproto-1.4.2.1                  =   up-to-date with port
jpeg-6b_4                           =   up-to-date with port
kbproto-1.0.3                       =   up-to-date with port
lha-1.14i_6                         =   up-to-date with port
libICE-1.0.4,1                      =   up-to-date with port
libSM-1.0.3,1                       =   up-to-date with port
libX11-1.1.3,1                      =   up-to-date with port
libXau-1.0.3_2                      =   up-to-date with port
libXaw-1.0.4,1                      =   up-to-date with port
libXdmcp-1.0.2                      =   up-to-date with port
libXext-1.0.3,1                     =   up-to-date with port
libXmu-1.0.3,1                      =   up-to-date with port
libXp-1.0.0,1                       =   up-to-date with port
libXpm-3.5.7                        =   up-to-date with port
libXt-1.0.5                         =   up-to-date with port
libgmp-4.2.2                        =   up-to-date with port
libiconv-1.9.2_2                    =   up-to-date with port
libspf2-1.2.5_2                     =   up-to-date with port
libtool-1.5.24                      =   up-to-date with port
libungif-4.1.4_5                    =   up-to-date with port
libxml2-2.6.30                      =   up-to-date with port
libxslt-1.1.22                      =   up-to-date with port
m4-1.4.9,1                          =   up-to-date with port
ming-0.3.0_3                        =   up-to-date with port
mod_fastcgi-2.4.2_1                 =   up-to-date with port
mod_geoip2-1.1.8                    =   up-to-date with port
mod_limitipconn-0.22                =   up-to-date with port
mysql-client-5.0.45_1               =   up-to-date with port
mysql-server-5.0.45_1               =   up-to-date with port
net-snmp-5.3.1_4                    =   up-to-date with port
p5-Term-ANSIColor-1.11              =   up-to-date with port
p5-gettext-1.05_1                   =   up-to-date with port
pcre-7.4                            =   up-to-date with port
pdflib-7.0.2                        =   up-to-date with port
pecl-fileinfo-1.0.4                 =   up-to-date with port
pecl-filter-0.11.0                  =   up-to-date with port
pecl-hash-1.5                       =   up-to-date with port
pecl-pdflib-2.1.4                   =   up-to-date with port
pecl-yaz-1.0.8                      =   up-to-date with port
pecl-zip-1.9.0                      =   up-to-date with port
perl-5.8.8                          =   up-to-date with port
php5-5.2.4_1                        =   up-to-date with port
php5-bcmath-5.2.4_1                 =   up-to-date with port
php5-bz2-5.2.4_1                    =   up-to-date with port
php5-calendar-5.2.4_1               =   up-to-date with port
php5-ctype-5.2.4_1                  =   up-to-date with port
php5-curl-5.2.4_1                   =   up-to-date with port
php5-dba-5.2.4_1                    =   up-to-date with port
php5-dom-5.2.4_1                    =   up-to-date with port
php5-exif-5.2.4_1                   =   up-to-date with port
php5-extensions-1.1                 =   up-to-date with port
php5-ftp-5.2.4_1                    =   up-to-date with port
php5-gd-5.2.4_1                     =   up-to-date with port
php5-gettext-5.2.4_1                =   up-to-date with port
php5-gmp-5.2.4_1                    =   up-to-date with port
php5-iconv-5.2.4_1                  =   up-to-date with port
php5-imap-5.2.4_1                   =   up-to-date with port
php5-mbstring-5.2.4_1               =   up-to-date with port
php5-mcrypt-5.2.4_1                 =   up-to-date with port
php5-mhash-5.2.4_1                  =   up-to-date with port
php5-ming-5.2.4_1                   =   up-to-date with port
php5-mysql-5.2.4_1                  =   up-to-date with port
php5-mysqli-5.2.4_1                 =   up-to-date with port
php5-openssl-5.2.4_1                =   up-to-date with port
php5-pcre-5.2.4_1                   =   up-to-date with port
php5-pdo-5.2.4_1                    =   up-to-date with port
php5-pdo_sqlite-5.2.4_1             =   up-to-date with port
php5-posix-5.2.4_4                  =   up-to-date with port
php5-pspell-5.2.4_1                 =   up-to-date with port
php5-session-5.2.4_1                =   up-to-date with port
php5-shmop-5.2.4_1                  =   up-to-date with port
php5-simplexml-5.2.4_1              =   up-to-date with port
php5-snmp-5.2.4_1                   =   up-to-date with port
php5-soap-5.2.4_1                   =   up-to-date with port
php5-sockets-5.2.4_1                =   up-to-date with port
php5-spl-5.2.4_1                    =   up-to-date with port
php5-sqlite-5.2.4_1                 =   up-to-date with port
php5-tokenizer-5.2.4_1              =   up-to-date with port
php5-wddx-5.2.4_1                   =   up-to-date with port
php5-xml-5.2.4_1                    =   up-to-date with port
php5-xmlreader-5.2.4_1              =   up-to-date with port
php5-xmlrpc-5.2.4_1                 =   up-to-date with port
php5-xmlwriter-5.2.4_1              =   up-to-date with port
php5-xsl-5.2.4_1                    =   up-to-date with port
php5-zlib-5.2.4_1                   =   up-to-date with port
phpMyAdmin-2.11.1.1                 =   up-to-date with port
pkg-config-0.22                     =   up-to-date with port
png-1.2.22                          =   up-to-date with port
portupgrade-2.3.1,2                 =   up-to-date with port
printproto-1.0.3                    =   up-to-date with port
proftpd-1.3.1_1                     =   up-to-date with port
roundcube-0.1.20070902              =   up-to-date with port
ruby-1.8.6_2,1                      =   up-to-date with port
ruby18-bdb1-0.2.3                   =   up-to-date with port
t1lib-5.1.1_2,1                     =   up-to-date with port
vim-7.1.116                         =   up-to-date with port
wget-1.10.2_1                       =   up-to-date with port
xcmiscproto-1.1.2                   =   up-to-date with port
xextproto-7.0.2                     =   up-to-date with port
xf86bigfontproto-1.1.2              =   up-to-date with port
xproto-7.0.10_1                     =   up-to-date with port
xtrans-1.0.4                        =   up-to-date with port
yaz-2.1.53                          =   up-to-date with port
serv#
 

paix

Verified User
Joined
Oct 31, 2006
Messages
55
Location
ua
yesterday, I manually delete all installed DA software (may be not all, but overwhelming majority), and install from ports.
need 20-30 symlinks for static compiled in DA paths, and other - change from configs.
may be I write step-to-step hawto...

lissyara small howto will be greatly appreciated...:)
Especially how to move apache(apache,php,perl etc), exim to port system.
Thanks!
 

tsiou

Verified User
Joined
Sep 15, 2006
Messages
236
Location
Larisa, Greece
Hi,
i did it to and works for some months, but i have one problem left..
you can see the details in :

http://www.directadmin.com/forum/showthread.php?t=20277&highlight=tsiou

do you have the same problem (see the attached image)?

my ports are all in the latest version.. os: freebsd 6.2

the only thing left is convert to dovecot. is there any mini how to for freebsd?
i dont have the ability now to test as many customers exist in my server...
thanks in advance..
 

shackme3

Verified User
Joined
Nov 17, 2007
Messages
7
Then upgrading a port via portupgrade - you should use "portupgrade -w -b -i" "port-*". The flag "-b" will make you a backup of installed (old) version before installing a new one, so if there any problems with new port upgrade, you will always have an older version. Other way is to use 'portdowngrade' but don't know how it will work on DA. sorry for my bad english (-;
 

tsiou

Verified User
Joined
Sep 15, 2006
Messages
236
Location
Larisa, Greece
lissyara i can see that we have the same php version. Do you have the problem with the DA broken skin? if not, how did you managed it?
thanks in advance
 

lissyara

Verified User
Joined
Oct 20, 2007
Messages
12
sorry - I seldom visit here.
I too have this problem
Need delete some php-modules - if you compile php with MULTIBYTE - recompile it without this, and compile multibyte support as module
and all work correct
========
sorry - i now not have console and can't write correct module-names

add later:
php5-mbstring - I find this in my listing =))
 
Top